Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000982SpeedFanFan controlpublic2007-09-26 00:352008-05-19 17:25
Reportersirandar 
Assigned Toalfredo 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntelOSXPOS VersionXP Pro
Product Version4.33 
Target VersionFixed in Version4.34 
Summary0000982: Speedfan experiences + tweaks
DescriptionI tried a whole bunch of programs and Speedfan was the only one I could get to work sufficiently with my Asus P5B motherboard. This was not a easy process as neither Asus motherboards or Speedfan is very well documented (No offense, great program otherwise).

Here are the fruits of my experiences for the P5B

1) You cannot connect 2 fans, one to chasis1 and one to chasis2 and have them both independantly speed controlled. They are linked at the BIOS level

2) You cannot connect 2 fans, one to chasis1 and one to chasis2 and have them both reading fan speed and have the Q-fan feature enabled or use Speedfan to control speeds. It crashes the bios and does wierd things to speedfan.

The optimal condition is to have 2 fans with only one sensing fan speed and use Speedfan or Q-fan to control them both.

3) All your fans have to be running flat out for Speedfan to detect them properly and usually you need to increase the "divide value" one step to sense slowed fans.

4) Do not use the sense SMBus feature with the P5B. Only enable ISA. Speedfan has a huge conflict with my 8800GTS when the SMbus sensing in speedfan is enabled. My graphics test program goes from 30fps to 1fps when this feature is enabled. Speedfan still gets GPU temp via ISA and there is no conflicts even when Rivatuner is installed.

5) Speedfan only reads temp for Core 1 for Core 2 processors (not a big issue IMO)

6) Almost all Temp values require a significant offset to get them reasonable for a Q6750 processor.

Sirandar
TagsNo tags attached.
Motherboard Model
Video Card Model8800GTS
Attached Files

- Relationships

-  Notes
(0002977)
alfredo (manager)
2007-09-26 02:33

1) I have a P5B DeLuxe. Asus often links two or more fans to a single PWM. This is done by wiring and not via BIOS.

2) I have SYS, CPU0 and AUX0 fans connected (this is the official naming according to the datasheet) and all of them are properly reading RPMs. In a few days I'll try to connect more fans.

3) I don't like to apply too many changes automatically, but I'm considering to automate the FAN DIVISOR setting in CONFIGURE / ADVANCED. There is no optimal value as it depends on the speed of the fan itself. Usually 8 is a good choice.

4) please, send me a SEND REPORT from SpeedFan's INFO tab, then drop me a reminder and let me know which email address you used.

5) what do you mean? that both reported temperatures are the same?

6) I'm still looking for official documentation. When I last read it, there was nothing useful. I will be glad to look at any Intel document on this topic.
(0002978)
norman02us (reporter)
2007-09-26 02:57
edited on: 2007-09-26 03:30

If you want to use Speedfan, you should disable Q-Fan in the BIOS to avoid conflicts. Speedfan can control and read all fans that are shown in the BIOS, so there is no use in running both (Q-Fan and SpeedFan) at the same time.

According to the P5B manual, you should get rpm readings from CPU_FAN, CHA_FAN1, CHA_FAN2 and PWR_FAN. With Speedfan you should be able to control the CPU_FAN and the two CHA_FANs. Both CHA_FANs are linked together by Asus (as alfredo described), thus, you can only adjust fan speed of both fans at the same time. The CPU_FAN should be controlled independently.

On my P5B Deluxe all temperature and fan speed readings are shown and correct.
I also have a 8800GTS (320MB) and cannot confirm your problem.

To get the correct core temps for Intel Quad Cores you will have to set an offset of +15
(0002982)
sirandar (reporter)
2007-09-26 16:06
edited on: 2007-09-26 22:11

Hi guys ... thanks for your updates

You are correct I have a E6750.
Further information:

1) Issue with SMbus and Nvidia 8800GTS. I forgot to add a very important detail...you can only tell when both cores are under 100% load. You will certainly not see the issue under low CPU. Sorry for the confusion but the differnce is huge on my system and it indicates to me something isn't quite right with when using SMbus and Nvidia (my 8800GTS is the only thing on SMbus)It could be a conflict with Riva tuner 2.08 and I didn't test this since ISA works fine.

2) I will try to remember to do a send report when I get back home.

3) I am fairly certain that Speedfan is only measuring Core1 and reporting that temp for Core0 and Core 1. I use the Intel TAT utility to load only one core or the other and then compare the core temps using Speedfan and CoreTemp 0.94. It is pretty clear that Speedfan is only reading Core1.

4) Yes I am using the latest BIOS and drivers from Asus 0804 I believe. I will check the MB drivers again just to make sure.

5) Yes I know the temperature offsets have nothing to do with Speedfan and I am glad Speedfan has the options to correct temperatures using an offset. What a mess measuring CPU temps is right now. I am lucky that I have a portable temperature sensor that I can use to figure out what is really happening. I got a smile at the people reporting 20C ish tempertures for their E6XXX processors without water cooling.

Sirandar

(0002983)
norman02us (reporter)
2007-09-26 16:19
edited on: 2007-09-26 16:20

You should really update your BIOS.

The 0804 is very very old. The latest version is 1604. I'm pretty sure that this will help resolve some issues, e.g. core temps. The E6750 is officially supported with BIOS 1604 or newer, so your problems are probably due to a very old BIOS.
You can download the latest BIOS here:
http://support.asus.com/cpusupport/cpusupport.aspx?SLanguage=en-us&model=P5B [^]

(0002984)
sirandar (reporter)
2007-09-26 17:11

Hello Norman02US
I am not at my PC right now but I am pretty sure that I have the latest BIOS for Asus .... I remember the one I installed was released this September.

Sirandar
(0002985)
The Darkmaster (reporter)
2007-09-26 23:45

I have a Core 2 Duo, into the same Asus P5B. If the temperature reading with PECI interface enabled is wrong (here is showing 17
(0002986)
sirandar (reporter)
2007-09-27 02:54

To Darkmaster

The offset will depend on both your CPU and motherboard. Not enough information to answer
(0002987)
alfredo (manager)
2007-09-27 10:07

Sirandar, I agree with you and core temperatures. I have to admit that I didn't fully understand Intel choice to represent temperatures internally this way.

Q-Fan can be overriden by entering CONFIGURE / ADVANCED and changing PWM MODE.

About only one core temperature being actually read, please contact me by email and I will send to you a beta. I discovered this issue a few days ago. It can happen on a few systems for an unknown reason and I worked on it.

The SMBus conflict should be further investigated and I'm ready to work on this too. This is the first time that I read about this. I will try to make some guesses about the possible cause.
(0002988)
devid (reporter)
2007-09-27 11:50

Regarding the Intel issue there is a different method to access fan speeds on all Intel-Mainboards for Desktops, and that technology is called Intel Quiet System Technology (QST).

Those systems have a special PCI Device and a corresponding driver, the Intel Management Engine Interface Driver.

Through this driver and the QST interface all known sensor values are accessible, and that includes the fan values. Temperatures on core based systems are accessible through the documented MSRs, and I believe that Speedfan reads them already.

Unfortunately Intel provides the appropriate data for QST only with a signed NDA.

Reragds, Devid
(0002989)
alfredo (manager)
2007-09-27 12:06

I'm willing to sign a NDA, but I was unable to contact anybody at Intel that could help me. Feel free to send me an email (alfredo [at] almico.com) if you can give me any starting point.
(0002990)
The Darkmaster (reporter)
2007-09-27 13:57
edited on: 2007-09-27 18:20

Ok Sirandar. Is a Core 2 Duo (Conroe) E6600 @ 2.4GHz into Asus P5B Deluxe motherboard. How I can get the real temperature reading? The PECI interface is enabled, and the Speedfan (and others like Everest) shows 17~22
(0002991)
norman02us (reporter)
2007-09-28 00:52
edited on: 2007-09-28 00:52

@Darkmaster
You're temps are absolutely correct.

If you're unsure about your core temps, which are the only relevant CPU temps, take a look at CoreTemp. There is an option to show the delta to Tmax, which is equal to the PECI value. So no matter what the real tmax is, coretemp will show you the correct difference. 25
(0002992)
The Darkmaster (reporter)
2007-09-28 01:01

Ahhnn... how I enable the view of "delta for tmax" value?
(0002993)
norman02us (reporter)
2007-09-28 09:29
edited on: 2007-09-28 09:29

You can enable this option by selecting Options->Settings->"Show delta to Tjunction temp".

(0002994)
The Darkmaster (reporter)
2007-09-28 14:01
edited on: 2007-09-28 15:09

And if the CoreTemp don't have any options menu? After searching in many sites for download i found the program, but he don't have the options menu, only "about" and "file"

Update: I found the problem. I downloaded version 0.9.0.9, the latest (with the option) is 0.9.54. But the site of program is down and most of download sites simply redirects to program site (down). Here i can download the correct version?

(0002995)
norman02us (reporter)
2007-09-28 14:50

The Website works fine:
http://www.thecoolest.zerobrains.com/CoreTemp/ [^]
(0002996)
sirandar (reporter)
2007-09-28 23:09

To Darkmaster

Coretemp is a very good program that is more than accurate enough. I did a more complicated method and found coretemp gave the same reading within a few degrees.

Just use coretemp 0.94. Speedfan core temps will be incorrect without an offset. Mine was 12C which is about the 15C most people add when they have a 1333Mhz FSB core.

Sirandar
(0002997)
alfredo (manager)
2007-09-29 00:03

Sirandar, I consider accurate a temperature reading done according to an official document. I will quote an official Intel statement: "Some steppings of the mobile Intel
(0002998)
The Darkmaster (reporter)
2007-09-29 16:56

After a trick to get the CoreTemp program (for unknown reason, the site don't load here), i install and used the "show tjunction" option. Seens the speedfan temperature is correct, my tjunction temperature is 85
(0002999)
alfredo (manager)
2007-09-30 00:11

Sirandar, you have a new beta.
(0003003)
alfredo (manager)
2007-10-01 09:41

I'm looking at an E6750 right now and its bit in MSR[$EE] is set. This means that it should use a Tj=85C, but it's clear (looking at the readings) that it should use, at least, Tj=100C. What do you think?

- Issue History
Date Modified Username Field Change
2007-09-26 00:35 sirandar New Issue
2007-09-26 00:35 sirandar Status new => assigned
2007-09-26 00:35 sirandar Assigned To => alfredo
2007-09-26 00:35 sirandar Video Card Model => 8800GTS
2007-09-26 02:31 alfredo Status assigned => acknowledged
2007-09-26 02:31 alfredo Steps to Reproduce Updated
2007-09-26 02:33 alfredo Note Added: 0002977
2007-09-26 02:33 alfredo Steps to Reproduce Updated
2007-09-26 02:43 alfredo Category Clock control => Fan control
2007-09-26 02:57 norman02us Note Added: 0002978
2007-09-26 02:57 norman02us Note Edited: 0002978
2007-09-26 02:58 norman02us Note Edited: 0002978
2007-09-26 02:58 norman02us Note Edited: 0002978
2007-09-26 02:59 norman02us Note Edited: 0002978
2007-09-26 02:59 norman02us Note Edited: 0002978
2007-09-26 03:08 norman02us Note Edited: 0002978
2007-09-26 03:08 norman02us Note Edited: 0002978
2007-09-26 03:22 norman02us Note Edited: 0002978
2007-09-26 03:24 norman02us Note Edited: 0002978
2007-09-26 03:30 norman02us Note Edited: 0002978
2007-09-26 16:06 sirandar Note Added: 0002982
2007-09-26 16:10 sirandar Note Edited: 0002982
2007-09-26 16:19 norman02us Note Added: 0002983
2007-09-26 16:20 norman02us Note Edited: 0002983
2007-09-26 17:11 sirandar Note Added: 0002984
2007-09-26 22:11 sirandar Note Edited: 0002982
2007-09-26 23:45 The Darkmaster Note Added: 0002985
2007-09-27 02:54 sirandar Note Added: 0002986
2007-09-27 10:07 alfredo Note Added: 0002987
2007-09-27 11:50 devid Note Added: 0002988
2007-09-27 12:06 alfredo Note Added: 0002989
2007-09-27 13:57 The Darkmaster Note Added: 0002990
2007-09-27 18:20 The Darkmaster Note Edited: 0002990
2007-09-28 00:52 norman02us Note Added: 0002991
2007-09-28 00:52 norman02us Note Edited: 0002991
2007-09-28 01:01 The Darkmaster Note Added: 0002992
2007-09-28 09:29 norman02us Note Added: 0002993
2007-09-28 09:29 norman02us Note Edited: 0002993
2007-09-28 14:01 The Darkmaster Note Added: 0002994
2007-09-28 14:11 The Darkmaster Note Edited: 0002994
2007-09-28 14:50 norman02us Note Added: 0002995
2007-09-28 15:09 alfredo Note Edited: 0002994
2007-09-28 23:09 sirandar Note Added: 0002996
2007-09-29 00:03 alfredo Note Added: 0002997
2007-09-29 16:56 The Darkmaster Note Added: 0002998
2007-09-30 00:11 alfredo Note Added: 0002999
2007-10-01 09:41 alfredo Note Added: 0003003
2008-05-19 17:25 alfredo Status acknowledged => resolved
2008-05-19 17:25 alfredo Resolution open => fixed
2008-05-19 17:25 alfredo Fixed in Version => 4.34


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3967 seconds.
memory usage: 8,268 KB
Powered by Mantis Bugtracker